import java.awt.*;
import java.applet.*;
//we need to import the util package for the time functions
import java.util.*;

public class Project21 extends Applet implements Runnable
{
		Thread runner;
		Image Buffer;
      Graphics gBuffer;
            
      public void init()
      {		
      		//create off-screen image we can draw to	
      		Buffer=createImage(size().width,size().height);
            gBuffer=Buffer.getGraphics();				
      }		
		
		public void start()
		{
			if (runner == null) 
			{
				runner = new Thread (this);
            runner.start();
        	}
    	}
	    
	   public void stop()
		{
      	if (runner != null) 
			{
            	runner.stop();
            	runner = null;
      	}
    	}
	    
	   public void run()
		{
			while(true) 
			{				
				//halt the thread for 100 ms here	
				try {runner.sleep(100);}
            	catch (Exception e) { }			
			
            	repaint();	                        
			}	
		}
		
	public void update(Graphics g)
	{
		paint(g);
		}		

	public void paint (Graphics g)
	{			
		//create a new time object		
		Date today=new Date();			
	
		//repaint the background green
		gBuffer.setColor(Color.green);
		gBuffer.fillRect(0,0,size().width,size().height);

		//set a new font we create "on the fly"
		gBuffer.setFont(new Font("Helvetica", Font.PLAIN,16));
		gBuffer.setColor(Color.black);
		
		gBuffer.drawString("toGMTString(): "+today.toGMTString(),20,20);
		gBuffer.drawString("toLocaleString(): "+today.toLocaleString(),20,40);
		gBuffer.drawString("toString(): "+today.toString(),20,60);
		gBuffer.drawString("getYear(): "+today.getYear(),20,80);
		gBuffer.drawString("getMonth(): "+today.getMonth(),20,100);
		gBuffer.drawString("getDate(): "+today.getDate(),20,120);
		gBuffer.drawString("getHours(): "+today.getHours(),20,140);
		gBuffer.drawString("getMinutes(): "+today.getMinutes(),20,160);
		gBuffer.drawString("getSeconds(): "+today.getSeconds(),20,180);
		gBuffer.drawString("getDay(): "+today.getDay(),20,200);
		
		switch(today.getDay())
		{
			case 0: gBuffer.drawString("Today is Sunday",20,240);
				break;
			case 1: gBuffer.drawString("Today is Monday",20,240);
				break;
			case 2: gBuffer.drawString("Today is Tuesday",20,240);
				break;
			case 3: gBuffer.drawString("Today is Wednesday",20,240);
				break;
			case 4: gBuffer.drawString("Today is Thursday",20,240);
				break;
			case 5: gBuffer.drawString("Today is Friday",20,240);
				break;
			case 6: gBuffer.drawString("Today is Saturday",20,240);
				break;	
		}
		
		//copy the buffer to the screen (no flickering!)
		g.drawImage (Buffer,0,0, this);			
	}
}


