import java.awt.*;
import java.applet.*;

public class Project30 extends Applet
{	
	Image Buffer;
   Graphics gBuffer;
   boolean pressedLeft, pressedRight, pressedUp, pressedDown;
   AudioClip mySound;	
      	
	public void init() 
	{			
		Buffer=createImage(size().width,size().height);
      gBuffer=Buffer.getGraphics();	      
      
     	try
	   {
			mySound=getAudioClip(getCodeBase(),"sound.au");			
		}
		catch (Exception e){}    
	}
	
	public boolean keyDown(Event e, int key)
	{
		if(key==Event.LEFT)	
		pressedLeft=true;	

		if(key==Event.RIGHT)
		pressedRight=true;
		
		if(key==Event.UP)
		pressedUp=true;
		
		if(key==Event.DOWN)
		pressedDown=true;
		
	if(key=='s'||key=='S')
		mySound.play();
	
	repaint();
		
	return true;
        }
        
        public boolean keyUp(Event e, int key)
	{
	pressedLeft=pressedRight=pressedUp=pressedDown=false;
	
	repaint();

	return true;
        }
	
	public void drawStuff()
	{	
		gBuffer.setColor(Color.blue);				
      gBuffer.fillRect(0,0,size().width,size().height);					
					
		gBuffer.setFont(new Font("Helvetica",Font.PLAIN,14));
		gBuffer.setColor(Color.orange);
		//if we want to use "" inside a string, we have to mask it with \!
		gBuffer.drawString ("Click inside the applet, then try",50,30);
		gBuffer.drawString ("the cursor keys and the \"S\"-key!",45,50);	

		//left
		int xl[] = {40,100,100};		
		int yl[] = {160,130,190};
		
		if(pressedLeft)				
			gBuffer.setColor(Color.yellow);
		else
			gBuffer.setColor(Color.red);
			
			gBuffer.fillPolygon(xl,yl,3);		

		//right
		int xr[] = {260,200,200};		
		int yr[] = {160,130,190};
		
		if(pressedRight)				
			gBuffer.setColor(Color.yellow);
		else
			gBuffer.setColor(Color.red);
			
			gBuffer.fillPolygon(xr,yr,3);		
			
		//up
		int xu[] = {120,150,180};		
		int yu[] = {110,60,110};
		
		if(pressedUp)				
			gBuffer.setColor(Color.yellow);
		else
			gBuffer.setColor(Color.red);
			
			gBuffer.fillPolygon(xu,yu,3);	
			
		//down
		int xd[] = {120,150,180};		
		int yd[] = {210,260,210};
		
		if(pressedDown)				
			gBuffer.setColor(Color.yellow);
		else
			gBuffer.setColor(Color.red);
			
			gBuffer.fillPolygon(xd,yd,3);				
	}		
		
	public void update(Graphics g)
	{
		paint(g);
   }
        
   public void paint(Graphics g) 
	{			
		drawStuff();
		g.drawImage (Buffer,0,0, this);       
   }	
}





	
	