import java.awt.*;
import java.applet.*;

public class Project31 extends Applet implements Runnable
{	
	Image Buffer;
   Graphics gBuffer;
   Thread runner;
   Image tile;
   int x, y;

   boolean pressedLeft, pressedRight, pressedUp, pressedDown;   	
      	
	public void init() 
	{			
		Buffer=createImage(size().width,size().height);
      gBuffer=Buffer.getGraphics();	   
      
      tile=getImage(getCodeBase(),"tile.jpg");     
	}
	
	public boolean keyDown(Event e, int key)
	{
		if(key==Event.LEFT)	
		pressedLeft=true;	

		if(key==Event.RIGHT)
		pressedRight=true;
		
		if(key==Event.UP)
		pressedUp=true;
		
		if(key==Event.DOWN)
		pressedDown=true;		
		
	return true;
        }
        
   public boolean keyUp(Event e, int key)
	{
	pressedLeft=pressedRight=pressedUp=pressedDown=false;

	return true;
   }
   
   public void start()
	{
			if (runner == null) 
			{
					runner = new Thread (this);
            	runner.start();
        	}
   }

   public void stop()
	{
        if (runner != null) 
			{
            	runner.stop();
            	runner = null;
        	}
   }

	public void run()
	{
		Thread.currentThread().setPriority(Thread.MAX_PRIORITY);

		while(true) 
		{
				//Thread sleeps for 10 milliseconds here					
				try {runner.sleep(10);}
            catch (Exception e) { }
			
				if(pressedLeft)x--;
				else if(pressedRight)x++;
				
				if(pressedUp)y--;
				else if(pressedDown)y++;
				
				drawStuff();

            repaint();	                        
		}	
	}
	
	public void drawStuff()
	{
		//our tile is 100x100 pixels, our applet window 300x300 pixels
		if(x>100||x<-100)x=0;
		if(y>100||y<-100)y=0;
			
		for(int i=-100;i<400;i+=100)	
			for(int j=-100;j<400;j+=100)
				gBuffer.drawImage(tile,x+i,y+j,this);						
					
		gBuffer.setFont(new Font("Helvetica",Font.PLAIN,14));
		gBuffer.setColor(Color.blue);
		gBuffer.drawString ("Click inside the applet,",70,30);
		gBuffer.drawString ("then press the cursor keys to scroll around",15,50);
			
		gBuffer.setColor(Color.black);
		gBuffer.drawString ("x="+x+", y="+y,110,90);				
	}		
		
	public void update(Graphics g)
	{
		paint(g);
   }
        
   public void paint(Graphics g) 
	{			
		drawStuff();
		g.drawImage (Buffer,0,0, this);       
   }	
}





	
	
