import java.awt.*;
import java.applet.*;

//a flicker free animation with images!
//the GIF snail with transparent color moves over the JPEG grass

public class Project11 extends Applet implements Runnable 
{
	Thread runner;
	private Image Buffer;
   private Graphics gBuffer;
   
   Image background, snail;	
		
	//Init is called first, do any initialisation here	
	public void init() 
	{	
		//create graphics buffer, the size of the applet
		Buffer=createImage(size().width,size().height);
      gBuffer=Buffer.getGraphics();					
      
     	background=getImage(getCodeBase(),"grass.jpg");
      snail=getImage(getCodeBase(),"snail.gif");
	}	

	public void start()
	{
			if (runner == null) 
			{
					runner = new Thread (this);
            	runner.start();
        	}
   }

   public void stop()
	{
        if (runner != null) 
			{
            	runner.stop();
            	runner = null;
        	}
   }

	public void run()
	{
		while(true) 
		{
				//Thread sleeps for 15 milliseconds here					
				try {runner.sleep(15);}
            catch (Exception e) { }
			
		gBuffer.drawImage(background,0,0,this);

				int x;
				
				//move the snail from left to right...
				x++;
				
				//if it moves past the right border, let it reappear
				//on the left border 
				if(x>size().width)
					x=-125;
				
				gBuffer.drawImage(snail,x,150,this);
			
            repaint();	                        
		}	
	}
	
	//is needed to avoid erasing the background by Java
	public void update(Graphics g)
	{
		paint(g);
   }
        
   public void paint(Graphics g) 
	{
		g.drawImage (Buffer,0,0, this);				
   }	
}
