import java.awt.*;
import java.applet.*;

public class Project17 extends Applet implements Runnable
{
		Thread runner;
		
		public void start()
		{
			if (runner == null) 
			{
				runner = new Thread (this);
            runner.start();
        	}
    	}
	    
	   public void stop()
		{
      	if (runner != null) 
			{
            	runner.stop();
            	runner = null;
      	}
    	}
	    
	   public void run()
		{
			while(true) 
			{				
				//halt the thread for 1 second here	
				try {runner.sleep(1000);}
            	catch (Exception e) { }			
			
            	repaint();	                        
			}	
		}
		
	public void update(Graphics g)
	{
		paint(g);
		}		

	public void paint (Graphics g)
	{	
		//draw tiles with random colors
		//we use two nested loops to do this:

		for(int x=0;x<300;x+=30)
			for(int y=0;y<300;y+=30)
			{
								int red=(int)(Math.random()*255);
								int green=(int)(Math.random()*255);
								int blue=(int)(Math.random()*255);
				
				g.setColor(new Color(red, green, blue));
				g.fillRect(x,y,30,30);			
			}
	}
}
