import java.awt.*;
import java.applet.*;
//we need to import the util package for the time functions
import java.util.*;

public class Project18 extends Applet implements Runnable
{
		Thread runner;
		Image Buffer;
      Graphics gBuffer;
      
      public void init()
      {		
      		//create off-screen image we can draw to	
      		Buffer=createImage(size().width,size().height);
            gBuffer=Buffer.getGraphics();				
      }		
		
		public void start()
		{
			if (runner == null) 
			{
				runner = new Thread (this);
            runner.start();
        	}
    	}
	    
	   public void stop()
		{
      	if (runner != null) 
			{
            	runner.stop();
            	runner = null;
      	}
    	}
	    
	   public void run()
		{
			while(true) 
			{				
				//halt the thread for 100 ms here	
				try {runner.sleep(100);}
            	catch (Exception e) { }			
			
            	repaint();	                        
			}	
		}
		
	public void update(Graphics g)
	{
		paint(g);
		}		

	public void paint (Graphics g)
	{			
		//create a new time object		
				Date today=new Date();
				
				//get the seconds, minutes and hours
		int sec=today.getSeconds();
				int min=today.getMinutes();
				int hour=today.getHours();
				
				String secStr, minStr, hourStr;
				
				//copy the time integers to our string objects
				//if values are less than 10 we add a 0
				if(hour<10)
					hourStr="0"+hour;			
				else
					hourStr=""+hour;

				if(min<10)
					minStr="0"+min;			
				else
					minStr=""+min;

				if(sec<10)
					secStr="0"+sec;			
				else
					secStr=""+sec;

				//repaint the background black
				gBuffer.setColor(Color.black);
		gBuffer.fillRect(0,0,size().width,size().height);

				//set a new font we create "on the fly"
				gBuffer.setFont(new Font("Helvetica", Font.BOLD,65));
				gBuffer.setColor(Color.green);
		gBuffer.drawString(hourStr+":"+minStr+":"+secStr,20,73);
		
		//copy the buffer to the screen (no flickering!)
		g.drawImage (Buffer,0,0, this);			
	}
}

