import java.awt.*;
import java.applet.*;

//bubbles applet without bubble class

public class Project22 extends Applet 
{	
	Image Buffer;
   Graphics gBuffer;		
	
	public void init() 
	{			
		Buffer=createImage(size().width,size().height);
      gBuffer=Buffer.getGraphics();					
	}	
	   
	public boolean mouseDown(Event evt,int x,int y)
	{
		drawRandomBubble(x,y);
				
		repaint();

		return true;
	}
	
	public void drawRandomBubble(int x, int y)
	{
		int red=(int)(Math.random()*255);
		int green=(int)(Math.random()*255);
		int blue=(int)(Math.random()*255);
		
		Color randomColor=new Color(red, green, blue);			
		
		gBuffer.setColor(randomColor);
		
		//generate a random number between 10 and 100
		int diameter=(int)(Math.random()*90)+10;
		
		//make mouse cursor the center of our random bubble		
		gBuffer.fillOval(x-diameter/2,y-diameter/2,diameter,diameter);	
	}	
	
	public void update(Graphics g)
	{
		paint(g);
   }
        
   public void paint(Graphics g) 
	{	
		gBuffer.setColor(Color.black);
		gBuffer.drawString("Click the applet to paint bubbles!", 50,20);	
		g.drawImage (Buffer,0,0, this);				
   }	
}
