import java.awt.*;
import java.applet.*;

//bubbles applet with a separate bubble class!

class Bubble
{
	//instance variables
	int x, y;	
	Graphics g;
	
	//constructor
	public Bubble(int x, int y)
	{
		this.x=x;
		this.y=y;
	}
	
	public void drawRandomBubble(int x, int y)
	{
		int red=(int)(Math.random()*255);
		int green=(int)(Math.random()*255);
		int blue=(int)(Math.random()*255);
		
		Color randomColor=new Color(red, green, blue);	
				
		g.setColor(randomColor);
		
		//generate a random number between 10 and 100
		int diameter=(int)(Math.random()*90)+10;
		
		//make mouse cursor the center of our random bubble		
		g.fillOval(x-diameter/2,y-diameter/2,diameter,diameter);	
	}	

	
	public void paint(Graphics gr)
	{	
		g=gr;
		
		drawRandomBubble(x, y);	
	}
}

public class Project23 extends Applet 
{	
	Image Buffer;
   Graphics gBuffer;		
   Bubble myBubble;
	
	public void init() 
	{			
		Buffer=createImage(size().width,size().height);
      gBuffer=Buffer.getGraphics();					
	}	
	   
	public boolean mouseDown(Event evt,int x,int y)
	{
		myBubble = new Bubble(x,y);
		
		myBubble.paint(gBuffer);
				
		repaint();

		return true;
	}
	
		
	public void update(Graphics g)
	{
		paint(g);
   }
        
   public void paint(Graphics g) 
	{	
		gBuffer.setColor(Color.black);
		gBuffer.drawString("Click the applet to paint classy bubbles!", 30,20);	
		g.drawImage (Buffer,0,0, this);				
   }	
}

