import java.awt.*;
import java.applet.*;

public class Project34 extends Applet
{	
	Image Buffer;
   Graphics gBuffer;	
   int x, y;
   boolean mouseInside, collide;	
	Rectangle r1, r2;
   	
	public void init() 
	{			
		Buffer=createImage(size().width,size().height);
      gBuffer=Buffer.getGraphics();	     
     
     	//create 2 rectangle objects         		
      r1=new Rectangle(110,115,60,50);
      //we don't know the coordinates yet, so we create it
      //with a different constructor, passing only the size
      r2=new Rectangle(40,40);      
	}
	
	public void drawStuff()
	{		
			gBuffer.setColor(Color.white);				
         gBuffer.fillRect(0,0,size().width,size().height);					
					
			gBuffer.setColor(Color.red);
			gBuffer.fillRect(r1.x, r1.y, r1.width, r1.height);	
			
			gBuffer.setColor(Color.blue);
			
			gBuffer.setFont(new Font("Helvetica",Font.BOLD,16));
			
			if(mouseInside)
				gBuffer.fillRect(r2.x, r2.y, r2.width, r2.height);	
			else
				gBuffer.drawString("Move the mouse around!", 10, 20);									
				
			gBuffer.setColor(Color.black);
			
			if(collide)
				gBuffer.drawString("Collision!", 10, 20);									
	}
	
	public boolean mouseEnter(Event evt,int x,int y)
	{
			mouseInside=true;			
			repaint();

			return true;
	}
	
	public boolean mouseExit(Event evt,int x,int y)
	{
			mouseInside=false ;
			repaint();
			
			return true;
	}	 	 
	
	public boolean mouseMove(Event evt,int x,int y)
	{
		//submit the mouse coordinates to our instance variables
		this.x=x;
		this.y=y;
		
		//move the blue square according to mouse position
		//we use the Rectangle method "move" here
		r2.move(x-r2.width/2, y-r2.height/2);
		
		//check for collision here, use the "intersects" method 
		//of the Rectangle class
		collide=r1.intersects(r2);	
	
		drawStuff();
			
		repaint();
		return true;
	}	
		
	public void update(Graphics g)
	{
		paint(g);
   }
        
   public void paint(Graphics g) 
	{			
		drawStuff();
		g.drawImage (Buffer,0,0, this);       
   }	
}





	
