import java.awt.*;
import java.applet.*;

public class Project36 extends Applet
{	
	Image Buffer;
   Graphics gBuffer;	
   int x, y, dist;
   boolean mouseInside;	
   //middle points of the two circles
   Point p1, p2;
   	
	public void init() 
	{			
		Buffer=createImage(size().width,size().height);
      gBuffer=Buffer.getGraphics();	 
      
      //center of red circle
      p1=new Point(150,150);
      //center of blue circle
      p2=new Point(0,0);         	
	}
	
	public void drawStuff()
	{		
			gBuffer.setColor(Color.white);				
         gBuffer.fillRect(0,0,size().width,size().height);					
					
			gBuffer.setColor(Color.red);
			gBuffer.fillOval(p1.x-20,p1.y-20,40,40);	
			
			gBuffer.setFont(new Font("Helvetica",Font.BOLD,16));
			gBuffer.setColor(Color.blue);
			
			if(mouseInside)
				gBuffer.fillOval(p2.x-20,p2.y-20,40,40);	
			else
				gBuffer.drawString("Move the mouse around!", 10, 20);									
									
			if(mouseInside)
			{				
				if(dist<=40)
				{
					gBuffer.setColor(Color.red);
					gBuffer.drawString("Collision!", 10, 20);
				}
				
				gBuffer.setColor(Color.black);				
				gBuffer.drawString("Distance: "+dist, 10, 40);
			}
	}
	
	public boolean mouseEnter(Event evt,int x,int y)
	{
			mouseInside=true;			
			repaint();

			return true;
	}
	
	public boolean mouseExit(Event evt,int x,int y)
	{
			mouseInside=false;
			repaint();
			
			return true;
	}	 	 
	
	public boolean mouseMove(Event evt,int x,int y)
	{
		//submit the mouse coordinates to our instance variables
		this.x=x;
		this.y=y;
		
		p2.move(x,y);
				
		//calculate the distance of the centers (T heorem of Pythagoras)
		dist=(int)Math.sqrt((p1.x-p2.x)*(p1.x-p2.x)+(p1.y-p2.y)*(p1.y-p2.y));		
	
		drawStuff();
			
		repaint();
		return true;
	}	
		
	public void update(Graphics g)
	{
		paint(g);
   }
        
   public void paint(Graphics g) 
	{			
		drawStuff();
		g.drawImage (Buffer,0,0, this);       
   }	
}