import java.awt.*;
import java.applet.*;

//demonstrates the use of random numbers
//and the use of timer intervals.
//our class has to implement the "Runnable" interface
//if we use threads

public class Project8 extends Applet implements Runnable 
{
	Thread runner;
	int randomNumber;	

	public void start()
	{
		if (runner == null) 
		{
			runner = new Thread (this);
            	runner.start();
        	}
    	}

    	public void stop()
	{
      	if (runner != null) 
		{
            	runner.stop();
            	runner = null;
      	}
    	}

	public void run()
	{
		while(true) 
		{				
			//halt the thread for 1 second here	
			try {runner.sleep(1000);}
            	catch (Exception e) { }
			
			randomNumber=(int)(Math.random()*6)+1;
            	repaint();	                        
		}	
	}

	public void paint(Graphics g)
	{	
		g.setColor(Color.red);
		g.setFont(new Font("Helvetica",Font.PLAIN,12));
		g.drawString("A random number between 1 and 6 every second", 15,20);

		//we draw a drop shadow, shifted right and down
		g.setFont(new Font("Helvetica",Font.BOLD,180));		
		g.setColor(Color.black);
		g.drawString(""+randomNumber, 105,215);
		
		g.setColor(Color.blue);
		g.drawString(""+randomNumber, 100,210);
	}
}