import java.awt.*;
import java.applet.*;

//a flicker free animation!

public class Project9 extends Applet implements Runnable 
{
	Thread runner;
	private Image Buffer;
    	private Graphics gBuffer;
	int x, x1, x2=100;
	boolean moveRight=true;
	
	//Init is called first, do any initialisation here	
	public void init() 
	{	
		//create graphics buffer, the size of the applet
		Buffer=createImage(size().width,size().height);
        	gBuffer=Buffer.getGraphics();					
	}	

	public void start()
	{
		if (runner == null) 
		{
			runner = new Thread (this);
            	runner.start();
        	}
    	}

    	public void stop()
	{
        if (runner != null) 
		{
            	runner.stop();
            	runner = null;
        	}
    	}

	public void run()
	{
		while(true) 
		{
			//Thread sleeps for 15 milliseconds here					
			try {runner.sleep(15);}
            	catch (Exception e) { }
			
			//paint background blue
			gBuffer.setColor(Color.blue);
			gBuffer.fillRect(0,0,size().width,size().height);

			//move circle (slowly) right until it leaves applet
			//then let it appear again on the left side
			x++;
			if(x>size().width)
				x=-50;
			
			//move square left (with double speed) until it leaves 
			//applet then let it reappear right side	
			x1-=2;
			if(x1<-50)
				x1=size().width;	

			//move the pink square right until it touches border
			//then set flag "moveRight" to false 	
			if(moveRight==true)
			{
				if(x2<size().width-50)				
					x2+=2;
				else
					moveRight=false;
			}
			
			//if flag "moveRight" is false the pink square moves
			//left until it touches left border, then switch direction
			if(moveRight==false)
			{
				if(x2>0)				
					x2-=2;
				else
					moveRight=true;
			}

			//the red circle
			gBuffer.setColor(Color.red);
			gBuffer.fillOval(x,30,50,50);
			
			//the green square
			gBuffer.setColor(Color.green);
			gBuffer.fillRect(x1,110,50,50);
			
			//the pink square
			gBuffer.setColor(Color.pink);
			gBuffer.fillRoundRect(x2,200,50,50,16,16);
			
            repaint();	                        
		}	
	}
	
	//is needed to avoid erasing the background by Java
	public void update(Graphics g)
	{
		paint(g);
    	}
        
    	public void paint(Graphics g) 
	{
		g.drawImage (Buffer,0,0, this);				
    	}	
}